<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Waste.Application</name>
    </assembly>
    <members>
        <member name="T:Waste.Application.AccountAppService">
            <summary>
            账户接口
            </summary>
        </member>
        <member name="M:Waste.Application.AccountAppService.LoginAsync(Waste.Application.LoginModel)">
            <summary>
            用户登录
            </summary>
        </member>
        <member name="M:Waste.Application.AuthorizationManager.CheckSecurity(System.String)">
            <summary>
            检查权限
            </summary>
            <param name="ResourceId"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.AuthorizationManager.Encrypt(Waste.Application.UserInfo)">
            <summary>
            生成token
            </summary>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.LoginModel">
            <summary>
            用户登录
            </summary>
        </member>
        <member name="P:Waste.Application.LoginModel.username">
            <summary>
            用户名
            </summary>
        </member>
        <member name="P:Waste.Application.LoginModel.pwd">
            <summary>
            密码
            </summary>
        </member>
        <member name="P:Waste.Application.LoginModel.code">
            <summary>
            验证码
            </summary>
        </member>
        <member name="T:Waste.Application.UserInfo">
            <summary>
            账户登录成功之后的信息
            </summary>
        </member>
        <member name="P:Waste.Application.UserInfo.AccountType">
            <summary>
            账户类型
            </summary>
        </member>
        <member name="P:Waste.Application.UserInfo.UserId">
            <summary>
            用户ID
            </summary>
        </member>
        <member name="P:Waste.Application.UserInfo.RealName">
            <summary>
            用户实际名称
            </summary>
        </member>
        <member name="P:Waste.Application.UserInfo.RoleId">
            <summary>
            角色ID
            </summary>
        </member>
        <member name="P:Waste.Application.UserInfo.IsSuper">
            <summary>
            是否为超级管理员
            </summary>
        </member>
        <member name="P:Waste.Application.UserInfo.BusinessId">
            <summary>
            关联的商户ID
            </summary>
        </member>
        <member name="T:Waste.Application.LoginSuccessInfo">
            <summary>
            登录成功之后的返回信息
            </summary>
        </member>
        <member name="P:Waste.Application.LoginSuccessInfo.token">
            <summary>
            访问token
            </summary>
        </member>
        <member name="P:Waste.Application.LoginSuccessInfo.refreshtoken">
            <summary>
            刷新token
            </summary>
        </member>
        <member name="T:Waste.Application.IAuthorizationManager">
            <summary>
            权限管理
            </summary>
        </member>
        <member name="M:Waste.Application.IAuthorizationManager.Encrypt(Waste.Application.UserInfo)">
            <summary>
            生成token
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IAuthorizationManager.CheckSecurity(System.String)">
            <summary>
            检查token
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessApiService.DeleteFormAsync(System.Guid)">
            <summary>
            删除
            </summary>
            <param name="keyValue"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessApiService.DetailAsync(System.Guid)">
            <summary>
            详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessApiService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            授权列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessApiService.SubmitFormAsync(Waste.Domain.W_BusinessAppApi)">
            <summary>
            信息提交
            </summary>
            <param name="role"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessApiService.IsWhiteIP(System.String,System.String)">
            <summary>
            检查是否在IP白名单中
            </summary>
            <param name="appid"></param>
            <param name="ip"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessApiService.GetPushListAsync">
            <summary>
            根据商户ID获取详情
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessApiService.InsertPushInfoAsync(Waste.Domain.W_BusinessPush)">
            <summary>
            增加推送消息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.BusinessAppService">
            <summary>
            商户管理
            </summary>
        </member>
        <member name="M:Waste.Application.BusinessAppService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            商户列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.GetListNoAdminAsync(Nirvana.Common.QueryParams)">
            <summary>
            商户列表,不包含管理员
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.SubmitFormAsync(Waste.Application.BusinessInfo)">
            <summary>
            信息提交
            </summary>
            <param name="buss"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.ResetPwdAsync(System.Guid,System.String)">
            <summary>
            重置密码
            </summary>
            <param name="id"></param>
            <param name="pwd"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.ChangePwdAsync(Waste.Application.BusienssPwd)">
            <summary>
            修改密码
            </summary>
            <param name="busienssPwd"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.OutLogin">
            <summary>
            退出登录
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.GetApiListAsync(Nirvana.Common.QueryParams)">
            <summary>
            授权列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.SubmitApiFormAsync(Waste.Domain.W_BusinessAppApi)">
            <summary>
            授权信息提交
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessAppService.DeleteApiFormAsync(System.Guid)">
            <summary>
            删除授权
            </summary>
            <param name="keyValue"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.BusinessService">
            <summary>
            商户管理
            </summary>
        </member>
        <member name="M:Waste.Application.BusinessService.DeleteFormAsync(System.Guid)">
            <summary>
            删除商户
            </summary>
            <param name="keyValue"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.DetailAsync(System.Guid)">
            <summary>
            详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.GetAllList(System.Int32)">
            <summary>
            获取所有商户
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.GetListAsync(Nirvana.Common.QueryParams,System.Boolean)">
            <summary>
            商户列表
            </summary>
            <param name="param"></param>
            <param name="noadmin">是否包含管理员,true-不包含,false-包含</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.ResetPwdAsync(System.Guid,System.String)">
            <summary>
            重置密码
            </summary>
            <param name="id"></param>
            <param name="pwd"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.ChangePwdAsync(Waste.Application.BusienssPwd)">
            <summary>
            修改密码
            </summary>
            <param name="busienssPwd"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.SubmitFormAsync(Waste.Application.BusinessInfo)">
            <summary>
            信息提交
            </summary>
            <param name="buss"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.GenCode(System.String,System.Int32)">
            <summary>
            生成用户code
            </summary>
            <param name="code">当前用户的code</param>
            <param name="cnt">名下用户数量</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.InsertOrUpdateRealDataAsync">
            <summary>
            更新或者插入实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.InsertOrUpdateRealDataAsync(System.Guid)">
            <summary>
            更新或者插入指定商户实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.InsertOrUpdateRealDataAsync(System.Collections.Generic.List{System.Guid})">
            <summary>
            更新或者插入指定商户实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.GetTotalInfoAsync">
            <summary>
            获取账户统计信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.BusinessService.GetBusinessTotalInfo">
            <summary>
            获取商户的昨天汇总信息
            </summary>
            <returns></returns>
        </member>
        <member name="P:Waste.Application.BusinessInfo.Password">
            <summary>
            密码
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessInfo.AccountType">
            <summary>
            账户类型
            </summary>
        </member>
        <member name="T:Waste.Application.BusienssPwd">
            <summary>
            修改密码
            </summary>
        </member>
        <member name="P:Waste.Application.BusienssPwd.OldPwd">
            <summary>
            旧密码
            </summary>
        </member>
        <member name="P:Waste.Application.BusienssPwd.NewPwd">
            <summary>
            新密码
            </summary>
        </member>
        <member name="P:Waste.Application.BusienssPwd.ReNewPwd">
            <summary>
            确认新密码
            </summary>
        </member>
        <member name="T:Waste.Application.BusinessList">
            <summary>
            商户列表
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.BusinessCnt">
            <summary>
            子商户数量
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.DevCnt">
            <summary>
            设备数量
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.TodayDevActiveCnt">
            <summary>
            今日活跃设备台数
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.TodayCount">
            <summary>
            今日测量数
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.TodayWeight">
            <summary>
            今日重量
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.TodayPureWeight">
            <summary>
            今日净重
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.TotalCount">
            <summary>
            累计测量数
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.TotalWeight">
            <summary>
            累计重量
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessList.TotalPureWeight">
            <summary>
            累计净重
            </summary>
        </member>
        <member name="T:Waste.Application.BusinessReport">
            <summary>
            商户汇总信息
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessReport.BusinessCnt">
            <summary>
            名下商户数量,包含所有级
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessReport.DevCount">
            <summary>
            名下设备数量,包含所有级
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessReport.YestodayCount">
            <summary>
            昨日测量次数
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessReport.YestodayWeight">
            <summary>
            昨日测量毛重
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessReport.YestodayPureWeight">
            <summary>
            昨日测量净重
            </summary>
        </member>
        <member name="T:Waste.Application.BusinessApiInfo">
            <summary>
            商户授权信息
            </summary>
        </member>
        <member name="P:Waste.Application.BusinessApiInfo.BusinessName">
            <summary>
            商户名称
            </summary>
        </member>
        <member name="T:Waste.Application.BusinessApiS2CDto">
            <summary>
            第三方推送的消息体内容
            </summary>
        </member>
        <member name="T:Waste.Application.IBusinessApiService">
            <summary>
            商户授权处理
            </summary>
        </member>
        <member name="M:Waste.Application.IBusinessApiService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            授权列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessApiService.SubmitFormAsync(Waste.Domain.W_BusinessAppApi)">
            <summary>
            信息提交
            </summary>
            <param name="role"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessApiService.DeleteFormAsync(System.Guid)">
            <summary>
            删除
            </summary>
            <param name="keyValue"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessApiService.DetailAsync(System.Guid)">
            <summary>
            详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessApiService.GetPushListAsync">
            <summary>
            获取推送列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessApiService.IsWhiteIP(System.String,System.String)">
            <summary>
            检查是否在IP白名单中
            </summary>
            <param name="appid"></param>
            <param name="ip"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessApiService.InsertPushInfoAsync(Waste.Domain.W_BusinessPush)">
            <summary>
            增加推送消息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessService.ResetPwdAsync(System.Guid,System.String)">
            <summary>
            重置密码
            </summary>
            <param name="id"></param>
            <param name="pwd"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessService.ChangePwdAsync(Waste.Application.BusienssPwd)">
            <summary>
            修改密码
            </summary>
            <param name="busienssPwd"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessService.InsertOrUpdateRealDataAsync">
            <summary>
            更新或者插入实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessService.InsertOrUpdateRealDataAsync(System.Guid)">
            <summary>
            更新或者插入指定商户实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessService.InsertOrUpdateRealDataAsync(System.Collections.Generic.List{System.Guid})">
            <summary>
            更新或者插入指定商户实时数据
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessService.GetTotalInfoAsync">
            <summary>
            获取账户统计信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IBusinessService.GetBusinessTotalInfo">
            <summary>
            获取商户的昨天汇总信息
            </summary>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.DeviceAppService">
            <summary>
            设备接口
            </summary>
        </member>
        <member name="M:Waste.Application.DeviceAppService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            设备列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.DeviceAppService.SubmitFormAsync(Waste.Application.DeviceSubmit)">
            <summary>
            信息提交
            </summary>
            <param name="role"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.DeviceAppService.BatchSetAsync(Waste.Application.DeviceBatchModel)">
            <summary>
            批量操作
            </summary>
            <param name="deviceBatchModel"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.DeviceAppService.SetStatusAsync(System.Guid,System.Int32)">
            <summary>
            设备状态修改
            </summary>
            <param name="id">设备ID</param>
            <param name="status">设备状态,0-停用,1-正常,2-激活</param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.Device.DeviceService">
            <summary>
            设备管理
            </summary>
        </member>
        <member name="M:Waste.Application.Device.DeviceService.BatchSetAsync(Waste.Application.DeviceBatchModel)">
            <summary>
            设备批量操作
            </summary>
            <param name="deviceBatchModel"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.Device.DeviceService.DetailAsync(System.Guid)">
            <summary>
            详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.Device.DeviceService.DeviceDetailAsync(System.Guid)">
            <summary>
            设备详情数据
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.Device.DeviceService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            设备列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.Device.DeviceService.SetStatusAsync(System.Guid,System.Int32)">
            <summary>
            设备状态修改
            </summary>
            <param name="id">设备ID</param>
            <param name="status">设备状态,0-停用,1-正常,2-激活</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.Device.DeviceService.SubmitFormAsync(Waste.Application.DeviceSubmit)">
            <summary>
            信息提交
            </summary>
            <param name="role"></param>
            <returns></returns>
        </member>
        <member name="P:Waste.Application.DeviceList.BusinessName">
            <summary>
            商户名称
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.ICCID">
            <summary>
            ICCID
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.IMEI">
            <summary>
            IMEI
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.IMSI">
            <summary>
            IMSI
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.TodayCount">
            <summary>
            今日测量次数
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.TotalCount">
            <summary>
            累计测量次数
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.TodayWeight">
            <summary>
            今日测量重量
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.TotalWeight">
            <summary>
            累计测量重量
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.LastBeatTime">
            <summary>
            最近心跳时间
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.NetStatus">
            <summary>
            网络状态,0-离线,1-在线,规则:最新测量时间、最近心跳时间在16分钟之内则是在线
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.sign">
            <summary>
            信号强度,分为5格信号,算法为:31/6
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.Longitude">
            <summary>
            经度
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceList.Latitude">
            <summary>
            纬度
            </summary>
        </member>
        <member name="T:Waste.Application.DeviceBatchModel">
            <summary>
            设备批量操作
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceBatchModel.BusinessId">
            <summary>
            服务商ID
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceBatchModel.type">
            <summary>
            操作类型,1-分配,2-回收
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceBatchModel.codes">
            <summary>
            设备ID列表
            </summary>
        </member>
        <member name="T:Waste.Application.DeviceSubmit">
            <summary>
            设备信息提交
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceSubmit.SecretHash">
            <summary>
            设备对应的SecretHash
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceSubmit.DevId">
            <summary>
            设备对应的DevId
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceSubmit.Secret">
            <summary>
            设备对应的Secret
            </summary>
        </member>
        <member name="T:Waste.Application.DeviceDetailS2Dto">
            <summary>
            设备详情
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceDetailS2Dto.LastBeatTime">
            <summary>
            最近心跳时间
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceDetailS2Dto.LastStartTime">
            <summary>
            最近开机时间
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceDetailS2Dto.Latitude">
            <summary>
            纬度
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceDetailS2Dto.Longitude">
            <summary>
            经度
            </summary>
        </member>
        <member name="P:Waste.Application.DeviceDetailS2Dto.version">
            <summary>
            使用的版本号
            </summary>
        </member>
        <member name="T:Waste.Application.IDeviceService">
            <summary>
            设备管理
            </summary>
        </member>
        <member name="M:Waste.Application.IDeviceService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            设备列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IDeviceService.SubmitFormAsync(Waste.Application.DeviceSubmit)">
            <summary>
            设备信息提交
            </summary>
            <param name="role"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IDeviceService.DetailAsync(System.Guid)">
            <summary>
            详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IDeviceService.BatchSetAsync(Waste.Application.DeviceBatchModel)">
            <summary>
            设备批量操作
            </summary>
            <param name="deviceBatchModel"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IDeviceService.DeviceDetailAsync(System.Guid)">
            <summary>
            设备详情数据
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IDeviceService.SetStatusAsync(System.Guid,System.Int32)">
            <summary>
            设备状态修改
            </summary>
            <param name="id">设备ID</param>
            <param name="status">设备状态,0-停用,1-正常,2-激活</param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.JobWorkder">
            <summary>
            定时任务
            </summary>
        </member>
        <member name="M:Waste.Application.JobWorkder.DoSomethingAsync(Furion.TaskScheduler.SpareTimer,System.Int64)">
            <summary>
            每隔 5s 执行
            </summary>
            <param name="timer"></param>
            <param name="count"></param>
        </member>
        <member name="M:Waste.Application.LogExceptionHandler.OnExceptionAsync(Microsoft.AspNetCore.Mvc.Filters.ExceptionContext)">
            <summary>
            全局异常处理提供器
            </summary>
            <param name="context"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ILoggerService">
            <summary>
            日志处理
            </summary>
        </member>
        <member name="T:Waste.Application.LoggerService">
            <summary>
            日志处理
            </summary>
        </member>
        <member name="M:Waste.Application.LoggerService.AddErrorLogger(System.Exception,System.String,System.String,System.Int32)">
            <summary>
            添加日志
            </summary>
            <param name="ex"></param>
            <param name="param"></param>
            <param name="program"></param>
            <param name="type"></param>
        </member>
        <member name="M:Waste.Application.LoggerService.AddLogger(System.String,System.Int32)">
            <summary>
            添加日志
            </summary>
            <param name="msg"></param>
            <param name="type"></param>
        </member>
        <member name="T:Waste.Application.PostInfo.PostInfoAppService">
            <summary>
            对接平台接口测试
            </summary>
        </member>
        <member name="M:Waste.Application.PostInfo.PostInfoAppService.GetHelloAsync(System.String)">
            <summary>
            Hello接口GET测试
            </summary>
            <param name="greet"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.PostInfo.PostInfoAppService.PostHelloAsync(System.String)">
            <summary>
            Hello接口POST测试
            </summary>
            <param name="greet"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.PostInfo.PostInfoAppService.GetEstatesAsync(System.Int32,System.Int32,System.String)">
            <summary>
            分页查询当前账号下存在的地产区域数据
            </summary>
            <param name="page"></param>
            <param name="size"></param>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.PostInfo.PostInfoAppService.PostEstatesAsync(Waste.Application.EstatesC2SDto)">
            <summary>
            添加地产区域信息
            </summary>
            <param name="estatesC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.PostInfo.PostInfoAppService.GetEstatesByIdAsync(System.String)">
            <summary>
            查询地产区域信息
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.PostInfo.PostInfoAppService.PostGarbagesAsync(Waste.Application.GarbageC2SDto)">
            <summary>
            向服务端推送测试用垃圾采集数据
            </summary>
            <param name="garbageC2SDto"></param>
            <returns></returns>
        </member>
        <member name="P:Waste.Application.SuZhouPostApiBaseDto.DeviceId">
            <summary>
            设备ID
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesBaseS2CDto.PageIndex">
            <summary>
            页码
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesBaseS2CDto.TotalPages">
            <summary>
            总页数
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesBaseS2CDto.Itemcount">
            <summary>
            总条数
            </summary>
        </member>
        <member name="T:Waste.Application.EstatesC2SDto">
            <summary>
            添加地产区域信息
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesC2SDto.Code">
            <summary>
            地产区域编码,不可重复, 长度限制2到32
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesC2SDto.Name">
            <summary>
            名称,长度限制2到32
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesC2SDto.Addr">
            <summary>
            地址,长度限制4到128
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesC2SDto.City">
            <summary>
            城市编码	，例：320500000000（苏州）
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesC2SDto.Area">
            <summary>
            区域编码	，例：320507000000（相城）
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesC2SDto.Street">
            <summary>
            街道编码，例：320507105000（渭塘镇）
            </summary>
        </member>
        <member name="T:Waste.Application.EstatesS2CDto">
            <summary>
            添加地产区域返回信息
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesS2CDto.id">
            <summary>
            地产区域ID
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesS2CDto.code">
            <summary>
            地产区域编码
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesS2CDto.addr">
            <summary>
            地产区域所在地址
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesS2CDto.city">
            <summary>
            城市编码
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesS2CDto.area">
            <summary>
            区域编码
            </summary>
        </member>
        <member name="P:Waste.Application.EstatesS2CDto.street">
            <summary>
            街道编码
            </summary>
        </member>
        <member name="T:Waste.Application.CollectC2SDto">
            <summary>
            添加采集点信息
            </summary>
        </member>
        <member name="P:Waste.Application.CollectC2SDto.Code">
            <summary>
            编码,不可重复, 长度限制2到32
            </summary>
        </member>
        <member name="P:Waste.Application.CollectC2SDto.Name">
            <summary>
            名称,长度限制2到32
            </summary>
        </member>
        <member name="P:Waste.Application.CollectC2SDto.Addr">
            <summary>
            地址,长度限制4到128
            </summary>
        </member>
        <member name="P:Waste.Application.CollectC2SDto.Estate">
            <summary>
            地产区域ID
            </summary>
        </member>
        <member name="T:Waste.Application.CollectS2CDto">
            <summary>
            添加采集点返回信息
            </summary>
        </member>
        <member name="P:Waste.Application.CollectS2CDto.id">
            <summary>
            采集点ID
            </summary>
        </member>
        <member name="P:Waste.Application.CollectS2CDto.code">
            <summary>
            编码
            </summary>
        </member>
        <member name="P:Waste.Application.CollectS2CDto.name">
            <summary>
            名称
            </summary>
        </member>
        <member name="P:Waste.Application.CollectS2CDto.addr">
            <summary>
            地址
            </summary>
        </member>
        <member name="T:Waste.Application.GarbagePltC2SDto">
            <summary>
            后台推送数据
            </summary>
        </member>
        <member name="P:Waste.Application.GarbagePltC2SDto.deviceid">
            <summary>
            设备ID
            </summary>
        </member>
        <member name="P:Waste.Application.GarbagePltC2SDto.secret">
            <summary>
            secret
            </summary>
        </member>
        <member name="P:Waste.Application.GarbagePltC2SDto.secrethash">
            <summary>
            secrethash
            </summary>
        </member>
        <member name="T:Waste.Application.GarbageC2SDto">
            <summary>
            向服务端推送测试用垃圾采集数据
            </summary>
        </member>
        <member name="P:Waste.Application.GarbageC2SDto.Weight">
            <summary>
            垃圾称重数据,64位浮点进度，单位为千克
            </summary>
        </member>
        <member name="P:Waste.Application.GarbageC2SDto.Trash">
            <summary>
            垃圾桶编码
            </summary>
        </member>
        <member name="P:Waste.Application.GarbageC2SDto.Type">
            <summary>
            垃圾类型,缺省类型 : 0,厨余垃圾 : 1,可回收物 : 2,有害垃圾 : 3,其他垃圾 : 4
            </summary>
        </member>
        <member name="P:Waste.Application.GarbageC2SDto.ScanningTime">
            <summary>
            数据扫描时间,UNIX时间戳
            </summary>
        </member>
        <member name="P:Waste.Application.GarbageC2SDto.DStatus">
            <summary>
            设备状态,使用中 : 0:使用中,异常 : 1,检修 : 2,检修结束 : 3,启用 : 4,未知 : 5
            </summary>
        </member>
        <member name="T:Waste.Application.HelloC2SDto">
            <summary>
            Hello测试
            </summary>
        </member>
        <member name="T:Waste.Application.HelloS2CDto">
            <summary>
            Hello测试返回
            </summary>
        </member>
        <member name="T:Waste.Application.ISuZhouService">
            <summary>
            苏州设备对接平台
            </summary>
        </member>
        <member name="M:Waste.Application.ISuZhouService.GetHelloAsync(System.String)">
            <summary>
            Hello接口GET测试
            </summary>
            <param name="greet"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.PostHelloAsync(System.String)">
            <summary>
            Hello接口Post测试
            </summary>
            <param name="greet"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.GetEstatesAsync(System.Int32,System.Int32,System.String)">
            <summary>
            分页查询当前账号下存在的地产区域数据
            </summary>
            <param name="page"></param>
            <param name="size"></param>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.PostEstatesAsync(Waste.Application.EstatesC2SDto)">
            <summary>
            添加地产区域信息
            </summary>
            <param name="estatesC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.GetEstatesByIdAsync(System.String)">
            <summary>
            查询地产区域信息
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.PostGarbagesAsync(Waste.Application.GarbageC2SDto)">
            <summary>
            向服务端推送测试用垃圾采集数据
            </summary>
            <param name="garbageC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.PostGarbagesAsync(Waste.Application.GarbagePltC2SDto)">
            <summary>
            向服务端推送测试用垃圾采集数据
            </summary>
            <param name="garbageC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.DeleteEstates(System.String)">
            <summary>
            删除地产区域
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.DeleteCollect(System.String)">
            <summary>
            删除采集点
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.PostCollectAsync(Waste.Application.CollectC2SDto)">
            <summary>
            添加采集点
            </summary>
            <param name="estatesC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.GetTimestamp">
            <summary>
            获取时间戳
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.GetNonce">
            <summary>
            获取随机数
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.GetUTCTimestamp">
            <summary>
            获取UTC时间戳
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISuZhouService.GetUserApiSign(System.String,System.String[])">
            <summary>
            获取签名
            </summary>
            <param name="secret"></param>
            <param name="dataparams"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.SuZhouService">
            <summary>
            苏州设备对接平台
            </summary>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetEstatesAsync(System.Int32,System.Int32,System.String)">
            <summary>
             分页查询当前账号下存在的地产区域数据
            </summary>
            <param name="page"></param>
            <param name="size"></param>
            <param name="search"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetEstatesByIdAsync(System.String)">
            <summary>
            查询地产区域信息
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetHelloAsync(System.String)">
            <summary>
            Hello接口GET测试
            </summary>
            <param name="greet"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.PostEstatesAsync(Waste.Application.EstatesC2SDto)">
            <summary>
            添加地产区域信息
            </summary>
            <param name="estatesC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.PostGarbagesAsync(Waste.Application.GarbageC2SDto)">
            <summary>
            向服务端推送测试用垃圾采集数据
            </summary>
            <param name="garbageC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.PostHelloAsync(System.String)">
            <summary>
            Hello接口Post测试
            </summary>
            <param name="greet"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetTimestamp">
            <summary>
            获取时间戳
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetUTCTimestamp">
            <summary>
            获取UTC时间戳
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetNonce">
            <summary>
            获取随机数
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetUserApiSign(System.String,System.String[])">
            <summary>
            获取签名
            </summary>
            <param name="secret"></param>
            <param name="dataparams"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.PostDataAsync(System.String,System.Int32,System.Object,System.String[])">
            <summary>
            POST封装接口
            </summary>
            <param name="url">地址</param>
            <param name="type">1-返回参数为msgpack,2-返回参数为text</param>
            <param name="postdata">post的数据</param>
            <param name="data">加密参数</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.GetDataAsync(System.String,System.Int32,System.String[])">
            <summary>
            GET接口封装
            </summary>
            <param name="url">地址</param>
            <param name="type">1-返回参数为msgpack,2-返回参数为text</param>
            <param name="data">加密参数</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.DeleteDataAsync(System.String,System.Int32,System.String[])">
            <summary>
            Delete接口封装
            </summary>
            <param name="url">地址</param>
            <param name="type">1-返回参数为msgpack,2-返回参数为text</param>
            <param name="data">加密参数</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.DeleteEstates(System.String)">
            <summary>
            删除地产区域
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.DeleteCollect(System.String)">
            <summary>
            删除采集点
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.PostCollectAsync(Waste.Application.CollectC2SDto)">
            <summary>
            添加采集点
            </summary>
            <param name="estatesC2SDto"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SuZhouService.PostGarbagesAsync(Waste.Application.GarbagePltC2SDto)">
            <summary>
            上传数据
            </summary>
            <param name="garbageC2SDto"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ReportList">
            <summary>
            统计列表
            </summary>
        </member>
        <member name="P:Waste.Application.ReportList.BusinessName">
            <summary>
            商户名称
            </summary>
        </member>
        <member name="P:Waste.Application.ReportList.DevName">
            <summary>
            设备名称
            </summary>
        </member>
        <member name="P:Waste.Application.ReportList.DevAddress">
            <summary>
            设备地址
            </summary>
        </member>
        <member name="P:Waste.Application.ReportList.DevCode">
            <summary>
            设备编号
            </summary>
        </member>
        <member name="P:Waste.Application.ReportList.TotalDayCount">
            <summary>
            合计测量次数
            </summary>
        </member>
        <member name="P:Waste.Application.ReportList.TotalDayPureWeight">
            <summary>
            合计测量净重
            </summary>
        </member>
        <member name="P:Waste.Application.ReportList.TotalDayWeight">
            <summary>
            合计测量重量
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData`1.totalcount">
            <summary>
            总条数
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData.address">
            <summary>
            点位地址,包含省市区县详细地址
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData.devcode">
            <summary>
            设备唯一编号
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData.devname">
            <summary>
            设备名称
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData.weight">
            <summary>
            总毛重,精确到小数点后两位,单位为KG
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData.pweight">
            <summary>
            总净重,精确到小数点后两位,单位为KG
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData.type">
            <summary>
            垃圾类型
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseData.time">
            <summary>
            统计时间,时间格式
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseDataItem.address">
            <summary>
            点位地址,包含省市区县详细地址
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseDataItem.devcode">
            <summary>
            设备唯一编号
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportBaseDataItem.devname">
            <summary>
            设备名称
            </summary>
        </member>
        <member name="T:Waste.Application.ApiReportRequestData">
            <summary>
            获取统计结果请求数据
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportRequestData.begindate">
            <summary>
            开始时间
            </summary>
        </member>
        <member name="P:Waste.Application.ApiReportRequestData.enddate">
            <summary>
            结束时间
            </summary>
        </member>
        <member name="T:Waste.Application.IReportService">
            <summary>
            统计信息
            </summary>
        </member>
        <member name="M:Waste.Application.IReportService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            统计列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IReportService.GetListByBusinessAsync(Nirvana.Common.QueryParams)">
            <summary>
            根据商户和垃圾类型进行汇总
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IReportService.GetDataAsync(Waste.Application.ApiReportRequestData,System.String)">
            <summary>
            获取一定时间段内的统计数据,第三方接口对接使用
            </summary>
            <param name="param"></param>
            <param name="appid">第三方授权的appid</param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ReportInfo.ReportAppService">
            <summary>
            统计报表
            </summary>
        </member>
        <member name="M:Waste.Application.ReportInfo.ReportAppService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            统计列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ReportInfo.ReportAppService.GetListByBusinessAsync(Nirvana.Common.QueryParams)">
            <summary>
            根据商户和垃圾类型进行汇总
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ReportInfo.ReportAppService.GetDataAsync(System.String,Waste.Application.ApiReportRequestData)">
            <summary>
            获取一定时间段内的统计数据,第三方接口对接使用
            </summary>
            <param name="appid"></param>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ReportService">
            <summary>
            统计管理
            </summary>
        </member>
        <member name="M:Waste.Application.ReportService.GetDataAsync(Waste.Application.ApiReportRequestData,System.String)">
            <summary>
            获取一定时间段内的统计数据,第三方接口对接使用
            </summary>
            <param name="param"></param>
            <param name="appid">第三方授权的appid</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ReportService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            统计列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ReportService.GetListByBusinessAsync(Nirvana.Common.QueryParams)">
            <summary>
            根据商户和垃圾类型进行汇总
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="P:Waste.Application.ResultList.BusinessName">
            <summary>
            商户名称
            </summary>
        </member>
        <member name="P:Waste.Application.ResultList.DeviceName">
            <summary>
            设备名称
            </summary>
        </member>
        <member name="P:Waste.Application.ResultList.DeviceAddress">
            <summary>
            设备地址
            </summary>
        </member>
        <member name="P:Waste.Application.ResultList.DeviceFacEcode">
            <summary>
            设备出厂序列号
            </summary>
        </member>
        <member name="P:Waste.Application.ResultList.DeviceEcode">
            <summary>
            设备编号
            </summary>
        </member>
        <member name="P:Waste.Application.ResultList.PostStatus">
            <summary>
            上报是否成功,1-成功,0-失败
            </summary>
        </member>
        <member name="T:Waste.Application.MyPackage">
            <summary>
            上传的数据包体
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Key">
            <summary>
            固定头
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Len">
            <summary>
            数据体长度
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.IMEI">
            <summary>
            IMEI
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.ICCID">
            <summary>
            ICCID
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.IMSI">
            <summary>
            IMSI
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.GSLQ">
            <summary>
            信号强度
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Time">
            <summary>
            时间
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Longitude">
            <summary>
            经度
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Latitude">
            <summary>
            纬度
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.City">
            <summary>
            设备地区
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Area">
            <summary>
            设备详细地点
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.WasteType">
            <summary>
            垃圾类别
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Weight">
            <summary>
            重量,KG
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Body">
            <summary>
            内容
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.Str">
            <summary>
            字符串结果
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.IsChecked">
            <summary>
            是否是否通过校检,true-是,false-否
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.IsHeart">
            <summary>
            是否为心跳包数据
            </summary>
        </member>
        <member name="P:Waste.Application.MyPackage.IsWeight">
            <summary>
            是否为有效测量
            </summary>
        </member>
        <member name="T:Waste.Application.IResultService">
            <summary>
            投放记录
            </summary>
        </member>
        <member name="M:Waste.Application.IResultService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            垃圾分类列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IResultService.InsertResultAsync(Waste.Application.MyPackage)">
            <summary>
            添加记录
            </summary>
            <param name="myPackage"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ResultInfos.ResultAppService">
            <summary>
            投放记录
            </summary>
        </member>
        <member name="M:Waste.Application.ResultInfos.ResultAppService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            投放记录列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ResultInfos.ResultAppService.InsertResultAsync(Waste.Application.MyPackage)">
            <summary>
            添加记录
            </summary>
            <param name="myPackage"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ResultService">
            <summary>
            投放记录管理
            </summary>
        </member>
        <member name="M:Waste.Application.ResultService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            获取投放记录
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ResultService.InsertResultAsync(Waste.Application.MyPackage)">
            <summary>
            增加测量记录
            </summary>
            <param name="myPackage"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ResultService.ByteToInt(System.Byte)">
            <summary>
            byte转int
            </summary>
            <param name="bt"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.RoleSubmitModel">
            <summary>
            角色信息提交
            </summary>
        </member>
        <member name="P:Waste.Application.RoleSubmitModel.permissionId">
            <summary>
            菜单列表
            </summary>
        </member>
        <member name="T:Waste.Application.IRoleService">
            <summary>
            账户管理
            </summary>
        </member>
        <member name="T:Waste.Application.RoleService">
            <summary>
            账户管理
            </summary>
        </member>
        <member name="M:Waste.Application.RoleService.DeleteFormAsync(System.Guid)">
            <summary>
            删除角色
            </summary>
            <param name="keyValue"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.RoleService.DetailAsync(System.Guid)">
            <summary>
            角色详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.RoleService.GetListAsync(Nirvana.Common.QueryParams)">
            <summary>
            角色列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.RoleService.SubmitFormAsync(Waste.Application.RoleSubmitModel)">
            <summary>
            信息提交
            </summary>
            <param name="role"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.SubscribeInfo.ResultS2SDto">
            <summary>
            测量记录
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.DeviceId">
            <summary>
            设备ID
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.LastHeartTime">
            <summary>
            最近使用时间
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.ResultId">
            <summary>
            记录ID
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.BusinessId">
            <summary>
            设备服务商ID
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.imei">
            <summary>
            设备的IMEI
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.iccid">
            <summary>
            ICCID
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.imsi">
            <summary>
            IMSI
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.latitude">
            <summary>
            纬度
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.longtitude">
            <summary>
            经度
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.gslq">
            <summary>
            信号强度
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.wastetype">
            <summary>
            垃圾类型
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.trash">
            <summary>
            垃圾桶编号
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.weight">
            <summary>
            毛重
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.ResultS2SDto.Tare">
            <summary>
            皮重
            </summary>
        </member>
        <member name="T:Waste.Application.SubscribeInfo.DeviceVerS2SDto">
            <summary>
            设备版本信息
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.DeviceVerS2SDto.ecode">
            <summary>
            设备机器码
            </summary>
        </member>
        <member name="P:Waste.Application.SubscribeInfo.DeviceVerS2SDto.ver">
            <summary>
            版本号
            </summary>
        </member>
        <member name="T:Waste.Application.SubscribeInfo.ISubscribeService">
            <summary>
            CAP订阅相关接口
            </summary>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.ISubscribeService.InsertResultAsync(Waste.Application.SubscribeInfo.ResultS2SDto)">
            <summary>
            添加记录
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.ISubscribeService.UpdateStatusAsync(Waste.Application.ThirdApiInfo.UpdateStatusDto)">
            <summary>
            更新记录上报结果
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.ISubscribeService.UpdateRegInfoAsync(System.Guid)">
            <summary>
            更新设备开机信息
            </summary>
            <param name="deviceid"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.ISubscribeService.UpdateHeartInfoAsync(Waste.Application.ThirdApiInfo.DevHeartRequestDto)">
            <summary>
            心跳数据上报
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.ISubscribeService.UpdateVersionAsync(Waste.Application.SubscribeInfo.DeviceVerS2SDto)">
            <summary>
            更新设备版本信息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.SubscribeInfo.SubscribeService">
            <summary>
            CAP订阅相关接口
            </summary>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.SubscribeService.InsertResultAsync(Waste.Application.SubscribeInfo.ResultS2SDto)">
            <summary>
            添加记录
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.SubscribeService.UpdateStatusAsync(Waste.Application.ThirdApiInfo.UpdateStatusDto)">
            <summary>
            更新记录上报结果
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.SubscribeService.UpdateHeartInfoAsync(Waste.Application.ThirdApiInfo.DevHeartRequestDto)">
            <summary>
            心跳数据上报
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.SubscribeService.UpdateRegInfoAsync(System.Guid)">
            <summary>
            更新设备开机信息
            </summary>
            <param name="deviceid"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SubscribeInfo.SubscribeService.UpdateVersionAsync(Waste.Application.SubscribeInfo.DeviceVerS2SDto)">
            <summary>
            更新设备版本信息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.CityListModel">
            <summary>
            地址列表
            </summary>
        </member>
        <member name="M:Waste.Application.ISystemService.GetCityListAsync(System.String,System.Int32)">
            <summary>
            获取城市列表
            </summary>
            <param name="code">国标码</param>
            <param name="level">级别</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISystemService.GetListAsync">
            <summary>
            获取城市列表
            </summary>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.SystemService">
            <summary>
            系统管理
            </summary>
        </member>
        <member name="M:Waste.Application.SystemService.DeleteMenuAsync(System.Guid)">
            <summary>
            删除菜单
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SystemService.MenuDetailAsync(System.Guid)">
            <summary>
            获取菜单详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SystemService.GetMenuListAsync(System.Guid)">
            <summary>
            获取菜单列表
            </summary>
            <param name="roleid"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SystemService.GetMenuListAsync">
            <summary>
            获取菜单列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SystemService.SubmitFormMenuAsync(Waste.Domain.W_Menu)">
            <summary>
            菜单编辑
            </summary>
            <param name="model"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SystemService.GetMenuTreeJson(Nirvana.Common.QueryParams)">
            <summary>
            获取菜单树形结构
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SystemService.GetCityListAsync(System.String,System.Int32)">
            <summary>
            获取城市列表
            </summary>
            <param name="code">国标码</param>
            <param name="level">级别</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SystemService.GetListAsync">
            <summary>
            获取城市列表
            </summary>
            <returns></returns>
        </member>
        <member name="P:Waste.Application.SZCollectList.AddressName">
            <summary>
            地产区域名称
            </summary>
        </member>
        <member name="T:Waste.Application.ISZPltService">
            <summary>
            苏州设备接入平台管理
            </summary>
        </member>
        <member name="M:Waste.Application.ISZPltService.GetAddressListAsync(Nirvana.Common.QueryParams)">
            <summary>
            获取地产区域列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.GetAddressAllListAsync">
            <summary>
            获取地产区域所有列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.SubmitAddressFormAsync(Waste.Domain.W_SZAddress)">
            <summary>
            地产区域信息提交
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.DetailAddressAsync(System.Guid)">
            <summary>
            地产区域详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.DeleteAddressAsync(System.Guid)">
            <summary>
            删除地产区域
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.GetCollectListAsync(Nirvana.Common.QueryParams)">
            <summary>
            获取采集点列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.SubmitCollectFormAsync(Waste.Domain.W_SZCollect)">
            <summary>
            采集点信息提交
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.DetailCollectAsync(System.Guid)">
            <summary>
            采集点详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ISZPltService.DeleteCollectAsync(System.Guid)">
            <summary>
            删除采集点
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltInfo.SZPltAppService.GetAddressListAsync(Nirvana.Common.QueryParams)">
            <summary>
            获取地产区域列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltInfo.SZPltAppService.SubmitAddressFormAsync(Waste.Domain.W_SZAddress)">
            <summary>
            地产区域信息提交
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltInfo.SZPltAppService.DeleteAddressAsync(System.Guid)">
            <summary>
            删除地产区域
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltInfo.SZPltAppService.GetCollectListAsync(Nirvana.Common.QueryParams)">
            <summary>
            获取采集点列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltInfo.SZPltAppService.SubmitCollectFormAsync(Waste.Domain.W_SZCollect)">
            <summary>
            采集点信息提交
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltInfo.SZPltAppService.DeleteCollectAsync(System.Guid)">
            <summary>
            删除采集点
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.SZPltService">
            <summary>
            苏州设备接入平台管理
            </summary>
        </member>
        <member name="M:Waste.Application.SZPltService.DeleteAddressAsync(System.Guid)">
            <summary>
            删除地产区域
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.DeleteCollectAsync(System.Guid)">
            <summary>
            删除采集点
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.DetailAddressAsync(System.Guid)">
            <summary>
            地产区域详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.DetailCollectAsync(System.Guid)">
            <summary>
            采集点详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.GetAddressAllListAsync">
            <summary>
            获取地产区域所有列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.GetAddressListAsync(Nirvana.Common.QueryParams)">
            <summary>
            获取地产区域列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.GetCollectListAsync(Nirvana.Common.QueryParams)">
            <summary>
            获取采集点列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.SubmitAddressFormAsync(Waste.Domain.W_SZAddress)">
            <summary>
            地产区域信息提交
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.SZPltService.SubmitCollectFormAsync(Waste.Domain.W_SZCollect)">
            <summary>
            采集点信息提交
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.TestAppService">
            <summary>
            测试专用
            </summary>
        </member>
        <member name="M:Waste.Application.TestAppService.Subscribe(Waste.Application.BusinessApiS2CDto)">
            <summary>
            接收测试
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.DevHeartRequestDto">
            <summary>
            心跳包上报数据
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevHeartRequestDto.ECode">
            <summary>
            机器码
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevHeartRequestDto.IMEI">
            <summary>
            IMEI
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevHeartRequestDto.ICCID">
            <summary>
            ICCID
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevHeartRequestDto.IMSI">
            <summary>
            IMSI
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevHeartRequestDto.GSLQ">
            <summary>
            信号强度
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevHeartRequestDto.Latitude">
            <summary>
            纬度
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevHeartRequestDto.Longitude">
            <summary>
            经度
            </summary>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto">
            <summary>
            注册注册信息返回值
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.status">
            <summary>
            设备状态,0-使用中,1-异常,2-检修,3-检修结束,4-启用，5-未知
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.baudrate">
            <summary>
            波特率
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.serialno">
            <summary>
            串口号
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.WebSocketUrl">
            <summary>
            websocket地址
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.timestamp">
            <summary>
            时间戳
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.noncestr">
            <summary>
            随机数
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.UserId">
            <summary>
            用户ID
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.Secret">
            <summary>
            secret
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.SecretHash">
            <summary>
            secrethash
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.DevRegInfoResponseDto.DeviceId">
            <summary>
            设备ID
            </summary>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.UpdateStatusDto">
            <summary>
            更新上报结果
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.UpdateStatusDto.ResultId">
            <summary>
            记录ID
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.UpdateStatusDto.ECode">
            <summary>
            机器码
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.UpdateStatusDto.status">
            <summary>
            上报状态,1-成功,0-失败
            </summary>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.GetDevInfoRequestDto">
            <summary>
            获取设备信息请求数据,并上报数据
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoRequestDto.ResultId">
            <summary>
            记录ID
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoRequestDto.data">
            <summary>
            串口数据
            </summary>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto">
            <summary>
            获取设备信息响应数据
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.IsSuccessed">
            <summary>
            解析数据是否正常
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.timestamp">
            <summary>
            时间戳
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.noncestr">
            <summary>
            随机数
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.UserId">
            <summary>
            用户ID
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.Secret">
            <summary>
            secret
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.SecretHash">
            <summary>
            secrethash
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.DeviceId">
            <summary>
            设备ID
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.PostUrl">
            <summary>
            上报地址
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.trash">
            <summary>
            垃圾桶编号
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.type">
            <summary>
            垃圾类型
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.Weight">
            <summary>
            体重
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.status">
            <summary>
            设备状态,0-使用中,1-异常,2-检修,3-检修结束,4-启用，5-未知
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.ScanningTime">
            <summary>
            数据扫描时间,UNIX时间戳
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.sign">
            <summary>
            签名
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.GetDevInfoResponseDto.ResultId">
            <summary>
            记录ID
            </summary>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.BugModel">
            <summary>
            日志上报
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.BugModel.ecode">
            <summary>
            机器码
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.BugModel.ExceptionPos">
            <summary>
            位置
            </summary>
        </member>
        <member name="P:Waste.Application.ThirdApiInfo.BugModel.ExceptionInfo">
            <summary>
            错误信息
            </summary>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.IOpenService">
            <summary>
            设备对接接口
            </summary>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.IOpenService.GetDevInfoAsync(Waste.Application.ThirdApiInfo.GetDevInfoRequestDto)">
            <summary>
            获取上报相关信息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.IOpenService.PostHeartAsync(Waste.Application.ThirdApiInfo.DevHeartRequestDto)">
            <summary>
            心跳数据上报
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.IOpenService.RegInfoAsync(System.String)">
            <summary>
            获取设备注册信息
            </summary>
            <param name="ecode"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.IOpenService.UpdateStatusAsync(Waste.Application.ThirdApiInfo.UpdateStatusDto)">
            <summary>
            更新上报状态
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.IOpenService.UpdateVersionAsync(Waste.Application.SubscribeInfo.DeviceVerS2SDto)">
            <summary>
            更新设备版本信息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.OpenAppService">
            <summary>
            开放数据
            </summary>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.GetDevInfoAsync(Waste.Application.ThirdApiInfo.GetDevInfoRequestDto)">
            <summary>
            获取设备上报相关信息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.PostHeartAsync(Waste.Application.ThirdApiInfo.DevHeartRequestDto)">
            <summary>
            心跳数据上报
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.RegInfoAsync(System.String)">
            <summary>
            获取设备注册信息,第一次开机使用
            </summary>
            <param name="ecode"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.UpdateStatusAsync(Waste.Application.ThirdApiInfo.UpdateStatusDto)">
            <summary>
            更新上报状态
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.PostAsync(System.String)">
            <summary>
            BUG上报
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.PostBug(Waste.Application.ThirdApiInfo.BugModel)">
            <summary>
            BUG上报
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.GetAsync(System.String,System.String,System.Int32)">
            <summary>
            正式升级
            </summary>
            <param name="ecode">机器码</param>
            <param name="myver">版本号</param>
            <param name="type">类型</param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenAppService.GetIsEnable(System.String)">
            <summary>
            获取机器到期时间
            </summary>
            <param name="ecode"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.ThirdApiInfo.OpenService">
            <summary>
            设备对接接口
            </summary>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.UpdateStatusAsync(Waste.Application.ThirdApiInfo.UpdateStatusDto)">
            <summary>
            更新上报状态
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.GetDevInfoAsync(Waste.Application.ThirdApiInfo.GetDevInfoRequestDto)">
            <summary>
            获取设备上报相关信息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.GetChsFromHex(System.String)">
            <summary>
            16进制转汉字
            </summary>
            <param name="hex"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.HextToDec(System.String)">
            <summary>
            16进制转10进制
            </summary>
            <param name="hex"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.PostHeartAsync(Waste.Application.ThirdApiInfo.DevHeartRequestDto)">
            <summary>
            心跳数据上报
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.RegInfoAsync(System.String)">
            <summary>
            获取设备注册信息,第一次开机使用
            </summary>
            <param name="ecode"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.BytesToHexStr(System.Byte[])">
            <summary>
            字节数组转16进制
            </summary>
            <param name="bt"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.ThirdApiInfo.OpenService.UpdateVersionAsync(Waste.Application.SubscribeInfo.DeviceVerS2SDto)">
            <summary>
            更新设备版本信息
            </summary>
            <param name="data"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IWasteService.GetTypeListAsync(Nirvana.Common.QueryParams)">
            <summary>
            垃圾分类列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IWasteService.SubmitTypeFormAsync(Waste.Domain.W_WasteType)">
            <summary>
            垃圾分类信息提交
            </summary>
            <param name="w_WasteType"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IWasteService.DeleteTypeFormAsync(System.Guid)">
            <summary>
            删除分类
            </summary>
            <param name="keyValue"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IWasteService.DetailTypeAsync(System.Guid)">
            <summary>
            分类详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.IWasteService.GetAllTypeList">
            <summary>
            获取所有分类
            </summary>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.WasteInfo.WasteAppService">
            <summary>
            垃圾分类信息接口
            </summary>
        </member>
        <member name="M:Waste.Application.WasteInfo.WasteAppService.DeleteTypeFormAsync(System.Guid)">
            <summary>
            删除分类
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteInfo.WasteAppService.DetailTypeAsync(System.Guid)">
            <summary>
            分类详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteInfo.WasteAppService.GetAllTypeList">
            <summary>
            获取所有分类
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteInfo.WasteAppService.GetTypeListAsync(Nirvana.Common.QueryParams)">
            <summary>
            垃圾分类列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteInfo.WasteAppService.SubmitTypeFormAsync(Waste.Domain.W_WasteType)">
            <summary>
            垃圾分类信息提交
            </summary>
            <param name="w_WasteType"></param>
            <returns></returns>
        </member>
        <member name="T:Waste.Application.WasteService">
            <summary>
            垃圾信息管理
            </summary>
        </member>
        <member name="M:Waste.Application.WasteService.DeleteTypeFormAsync(System.Guid)">
            <summary>
            删除分类
            </summary>
            <param name="keyValue"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteService.DetailTypeAsync(System.Guid)">
            <summary>
            分类详情
            </summary>
            <param name="id"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteService.GetAllTypeList">
            <summary>
            获取所有分类
            </summary>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteService.GetTypeListAsync(Nirvana.Common.QueryParams)">
            <summary>
            垃圾分类列表
            </summary>
            <param name="param"></param>
            <returns></returns>
        </member>
        <member name="M:Waste.Application.WasteService.SubmitTypeFormAsync(Waste.Domain.W_WasteType)">
            <summary>
            垃圾分类信息提交
            </summary>
            <param name="w_WasteType"></param>
            <returns></returns>
        </member>
    </members>
</doc>
